import { expect, tap } from '@pushrocks/tapbundle';
import * as smartobject from '../ts/index';

tap.test('first test', async () => {
  const result = smartobject.compareObjects(
    { thisIsEq: 'wow', thisIsDeepEq: { deeper: 'sodeep' } },
    { thisIsEq: 'wow', thisIsDeepEq: { deeper: 'sodeep' },  hey: 'there' }
  );
  console.log(result);
});

tap.test('should fast deep equal objects', async () => {
  expect(smartobject.fastDeepEqual({hello: 'yes'}, {hello: 'yes'})).to.be.true;
  expect(smartobject.fastDeepEqual({hello: 'yes'}, {hello: 3})).to.be.false;
});

tap.start();
